org.jboss.netty.handler.codec.marshalling

## Class CompatibleMarshallingEncoder

- java.lang.Object
- - org.jboss.netty.handler.codec.oneone.OneToOneEncoder
  - - org.jboss.netty.handler.codec.marshalling.CompatibleMarshallingEncoder

All Implemented Interfaces:
  ChannelDownstreamHandler, ChannelHandler

    @ChannelHandler.Sharable
    public class CompatibleMarshallingEncoder
    extends OneToOneEncoder

`OneToOneEncoder` implementation which uses JBoss Marshalling to marshal an Object. See JBoss Marshalling website for more informations Use `MarshallingEncoder` if possible.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

`ChannelHandler.Sharable`

### Constructor Summary

Constructors
Constructor and Description
`CompatibleMarshallingEncoder(MarshallerProvider provider)` Create a new instance of the `CompatibleMarshallingEncoder`

### Method Summary

Methods
`protected Object` `encode(ChannelHandlerContext ctx, Channel channel, Object msg)` Transforms the specified message into another message and return the transformed message.

### Methods inherited from class org.jboss.netty.handler.codec.oneone.OneToOneEncoder

`handleDownstream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompatibleMarshallingEncoder

    public CompatibleMarshallingEncoder(MarshallerProvider provider)

Create a new instance of the `CompatibleMarshallingEncoder`

Parameters:
  `provider` - the `MarshallerProvider` to use to get the `Marshaller` for a `Channel`

### Method Detail

#### encode

    protected Object encode(ChannelHandlerContext ctx,
                Channel channel,
                Object msg)
                     throws Exception

Description copied from class: `OneToOneEncoder`
Transforms the specified message into another message and return the transformed message. Note that you can not return `null`, unlike you can in `OneToOneDecoder.decode(ChannelHandlerContext, Channel, Object)`; you must return something, at least `ChannelBuffers.EMPTY_BUFFER`.

Specified by:
  `encode` in class `OneToOneEncoder`
Throws:
  `Exception`